<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.4.6
Name: Medikation
Description: Medikations-Eintrag (Medication Statement)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931">
   <title>Medikation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]
Item: (MedicationStatement)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]
Item: (MedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]"
         id="d42e8070-false-d23662e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="string(@classCode) = ('SBADM')">(MedicationStatement): Der Wert von classCode MUSS 'SBADM' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="string(@moodCode) = ('EVN')">(MedicationStatement): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']) &gt;= 1">(MedicationStatement): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']) &lt;= 1">(MedicationStatement): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:code[(@code = 'DRUG' and @codeSystem = '2.16.840.1.113883.5.4')]) &gt;= 1">(MedicationStatement): Element hl7:code[(@code = 'DRUG' and @codeSystem = '2.16.840.1.113883.5.4')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:code[(@code = 'DRUG' and @codeSystem = '2.16.840.1.113883.5.4')]) &lt;= 1">(MedicationStatement): Element hl7:code[(@code = 'DRUG' and @codeSystem = '2.16.840.1.113883.5.4')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(MedicationStatement): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(MedicationStatement): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &gt;= 1">(MedicationStatement): Element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(MedicationStatement): Element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:effectiveTime[hl7:low|hl7:high] | hl7:effectiveTime[hl7:width] | hl7:effectiveTime[@nullFlavor='NI'])"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="$elmcount &lt;= 1">(MedicationStatement): Auswahl (hl7:effectiveTime[hl7:low oder hl7:high]  oder  hl7:effectiveTime[hl7:width]  oder  hl7:effectiveTime[@nullFlavor='NI']) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:effectiveTime[hl7:low|hl7:high]) &lt;= 1">(MedicationStatement): Element hl7:effectiveTime[hl7:low|hl7:high] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:effectiveTime[hl7:width]) &lt;= 1">(MedicationStatement): Element hl7:effectiveTime[hl7:width] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:effectiveTime[@nullFlavor='NI']) &lt;= 1">(MedicationStatement): Element hl7:effectiveTime[@nullFlavor='NI'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(MedicationStatement): Element hl7:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '1.2.276.0.76.10.4025']]]) &gt;= 1">(MedicationStatement): Element hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '1.2.276.0.76.10.4025']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '1.2.276.0.76.10.4025']]]) &lt;= 1">(MedicationStatement): Element hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '1.2.276.0.76.10.4025']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4023']]]) &lt;= 5">(MedicationStatement): Element hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4023']]] kommt zu häufig vor [max 5x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4024']]]) &lt;= 1">(MedicationStatement): Element hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4024']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']
Item: (MedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']"
         id="d42e8076-false-d23785e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MedicationStatement): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.4.6')">(MedicationStatement): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.4.6' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:id
Item: (MedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:id"
         id="d42e8081-false-d23799e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MedicationStatement): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:code[(@code = 'DRUG' and @codeSystem = '2.16.840.1.113883.5.4')]
Item: (MedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:code[(@code = 'DRUG' and @codeSystem = '2.16.840.1.113883.5.4')]"
         id="d42e8083-false-d23810e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CV')">(MedicationStatement): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="@nullFlavor or (@code='DRUG' and @codeSystem='2.16.840.1.113883.5.4')">(MedicationStatement): Der Elementinhalt MUSS einer von 'code 'DRUG' codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:text[not(@nullFlavor)]
Item: (MedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:text[not(@nullFlavor)]"
         id="d42e8089-false-d23826e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(MedicationStatement): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(MedicationStatement): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(MedicationStatement): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (MedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d42e8091-false-d23845e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(MedicationStatement): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="@value">(MedicationStatement): Attribut @value MUSS vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (MedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d42e8101-false-d23862e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(MedicationStatement): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.6.60.4.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(MedicationStatement): Der Elementinhalt MUSS einer von '2.16.840.1.113883.2.6.60.4.11.25 ActStatusActiveCompletedAbortedSuspended (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.6.60.4.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(MedicationStatement): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.2.6.60.4.11.25 ActStatusActiveCompletedAbortedSuspended (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90023
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]
Item: (Einnahmedauer)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90023
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:effectiveTime[hl7:low|hl7:high]
Item: (Einnahmedauer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:effectiveTime[hl7:low|hl7:high]"
         id="d23863e33-false-d23885e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(Einnahmedauer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Einnahmedauer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="count(hl7:low) &gt;= 1">(Einnahmedauer): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="count(hl7:low) &lt;= 1">(Einnahmedauer): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="count(hl7:high) &lt;= 1">(Einnahmedauer): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90023
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:effectiveTime[hl7:low|hl7:high]/hl7:low
Item: (Einnahmedauer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:effectiveTime[hl7:low|hl7:high]/hl7:low"
         id="d23863e71-false-d23915e0">
      <extends rule="TS.DATE.MIN"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(Einnahmedauer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="not(*)">(Einnahmedauer): <value-of select="local-name()"/> with datatype TS.DATE.MIN, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90023
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:effectiveTime[hl7:low|hl7:high]/hl7:high
Item: (Einnahmedauer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:effectiveTime[hl7:low|hl7:high]/hl7:high"
         id="d23863e73-false-d23928e0">
      <extends rule="TS.DATE.MIN"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(Einnahmedauer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="not(*)">(Einnahmedauer): <value-of select="local-name()"/> with datatype TS.DATE.MIN, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90023
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:effectiveTime[hl7:width]
Item: (Einnahmedauer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:effectiveTime[hl7:width]"
         id="d23863e76-false-d23939e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(Einnahmedauer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="count(hl7:width) &gt;= 1">(Einnahmedauer): Element hl7:width ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="count(hl7:width) &lt;= 1">(Einnahmedauer): Element hl7:width kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90023
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:effectiveTime[hl7:width]/hl7:width
Item: (Einnahmedauer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:effectiveTime[hl7:width]/hl7:width"
         id="d23863e89-false-d23958e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(Einnahmedauer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Einnahmedauer): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Einnahmedauer): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="@unit">(Einnahmedauer): Attribut @unit MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@unit),'\s'))"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="not(@unit) or empty($theAttValue[not(. = (doc('include/voc-1.2.276.0.76.11.452-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(Einnahmedauer): Der Wert von unit MUSS gewählt werden aus Value Set '1.2.276.0.76.11.452' Zeiteinheiten (UCUM) (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90023
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:effectiveTime[@nullFlavor='NI']
Item: (Einnahmedauer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:effectiveTime[@nullFlavor='NI']"
         id="d23863e98-false-d23986e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(Einnahmedauer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="not(*)">(Einnahmedauer): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.10.90023-2017-06-04T000000.html"
              test="string(@nullFlavor) = ('NI')">(Einnahmedauer): Der Wert von nullFlavor MUSS 'NI' sein. Gefunden: "<value-of select="@nullFlavor"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (MedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e8108-false-d24006e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(MedicationStatement): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.6.60.4.11.26-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(MedicationStatement): Der Elementinhalt MUSS einer von '2.16.840.1.113883.2.6.60.4.11.26 EDQMRouteofAdministration (DYNAMIC)' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '1.2.276.0.76.10.4025']]]
Item: (MedicationStatement)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4023']]]
Item: (MedicationStatement)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4023']]]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="string(@typeCode) = ('COMP')">(MedicationStatement): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:sequenceNumber) &lt;= 1">(MedicationStatement): Element hl7:sequenceNumber kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4023']]]/hl7:sequenceNumber
Item: (MedicationStatement)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4023']]]/hl7:sequenceNumber">
      <extends rule="INT.POS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'INT')">(MedicationStatement): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:INT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="not(@value) or matches(@value, '^-?[1-9]\d*$|^+?\d*$')">(MedicationStatement): @value ist keine gültige INT Zahl <value-of select="@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4024']]]
Item: (MedicationStatement)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4024']]]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="string(@typeCode) = ('COMP')">(MedicationStatement): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="count(hl7:sequenceNumber) &lt;= 1">(MedicationStatement): Element hl7:sequenceNumber kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4024']]]/hl7:sequenceNumber
Item: (MedicationStatement)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4024']]]/hl7:sequenceNumber">
      <extends rule="INT.POS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'INT')">(MedicationStatement): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:INT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.6-2018-02-06T090931.html"
              test="not(@value) or matches(@value, '^-?[1-9]\d*$|^+?\d*$')">(MedicationStatement): @value ist keine gültige INT Zahl <value-of select="@value"/>
      </assert>
   </rule>
</pattern>
